Page MenuHomePhabricator

[Bug] The API query for rightsinfo on www.wikidata.org reports CC-SA 3.0 , while its page footer says CC0 as well
Closed, ResolvedPublic

Description

https://www.wikidata.org/w/api.php?action=query&meta=siteinfo&siprop=rightsinfo reports "Creative Commons Attribution-Share Alike 3.0",
but since rEWME19fa5c88 wikidata.org's page footer (sample) shows a more complex license (set in the WikimediaMessages extension):

All structured data from the main and property namespace is available under the Creative Commons CC0 License; text in the other namespaces is available under the Creative Commons Attribution-ShareAlike License

As I understand it, the API query for rightsinfo should reflect this. It uses $wgRights{Page,Text,Url} to fabricate the rights info. I think wmf-config doesn't change these for 'wikidata' hence its returns the same info as other wikis. But there's a wmf-config/Wikibase.php that sets

$wgWBRepoSettings['dataRightsText'] = 'Creative Commons CC0 License';
$wgWBRepoSettings['dataRightsUrl'] = 'https://creativecommons.org/publicdomain/zero/1.0/';

T42459: Wikimedia API makes no mention of terms of use or licensing information may be related, though it says 'a wiki's "rights info" seems orthogonal'.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd copyright info for Wikidata API
operations/mediawiki-config : masterbeta: Add copyright info for Wikidata API
operations/mediawiki-config : masterAdd copyright info for Wikidata API

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 12:00 AM
Lydia_Pintscher triaged this task as High priority.Sep 15 2015, 7:44 AM
Lydia_Pintscher added subscribers: Bene, aude.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Jonas renamed this task from The API query for rightsinfo on www.wikidata.org reports CC-SA 3.0 , while its page footer says CC0 as well to [Bug] The API query for rightsinfo on www.wikidata.org reports CC-SA 3.0 , while its page footer says CC0 as well.Nov 2 2015, 11:55 AM
Jonas set Security to None.

Add a new key to meta=siteinfo&siprop=rightsinfo? A new siprop=wbrightsinfo? A new key to meta=wikibase? A new meta module?

Anomie added a subscriber: Anomie.Dec 21 2015, 2:53 PM

Add a new key to meta=siteinfo&siprop=rightsinfo? A new siprop=wbrightsinfo? A new key to meta=wikibase? A new meta module?

Just fix $wgRights{Page,Text,Url} to be accurate?

Just fix $wgRights{Page,Text,Url} to be accurate?

That cannot be done since Wikidata still uses CC-BY-SA for non-Wikibase namespaces.

Anomie added a comment.EditedDec 21 2015, 4:08 PM

Sure it can. For example,

$wgRightsPage = 'Some on-wiki page reiterating the situation, with links';
$wgRightsText = 'All structured data from the main and property namespace is available under the Creative Commons CC0 License; text in the other namespaces is available under the Creative Commons Attribution-ShareAlike License';
$wgRightsUrl = null;

Tweak as necessary.

lisong added a subscriber: lisong.Mar 12 2017, 12:50 PM

Change 369707 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Add copyright info for Wikidata API

https://gerrit.wikimedia.org/r/369707

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 2 2017, 6:30 PM

Change 369707 merged by jenkins-bot:
[operations/mediawiki-config@master] Add copyright info for Wikidata API

https://gerrit.wikimedia.org/r/369707

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 2 2017, 11:10 PM

Okay, when pulling up in mwdebug1001, the API is fine and expected:

{
    "batchcomplete": "",
    "query": {
        "rightsinfo": {
            "url": "Wikidata:Copyright",
            "text": "All structured data from the main and property namespace is available under the Creative Commons CC0 License; text in the other namespaces is available under the Creative Commons Attribution-ShareAlike License; additional terms may apply."
        }
    }
}

but the GUI copyright notice also gets overriden:

I think this needs to be fixed in Wikibase to prevent overriding its copyright notice. CC. @Lydia_Pintscher @daniel

Change 370455 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] beta: Add copyright info for Wikidata API

https://gerrit.wikimedia.org/r/370455

Change 370455 merged by jenkins-bot:
[operations/mediawiki-config@master] beta: Add copyright info for Wikidata API

https://gerrit.wikimedia.org/r/370455

Mentioned in SAL (#wikimedia-operations) [2017-08-07T18:44:58Z] <ebernhardson@tin> Synchronized wmf-config/Wikibase-labs.php: T112606 - beta only - Add copyright info for Wikidata API (duration: 00m 46s)

My solution works just fine for beta cluster, Moving to prod tomorrow.

Change 370611 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Add copyright info for Wikidata API

https://gerrit.wikimedia.org/r/370611

Change 370611 merged by jenkins-bot:
[operations/mediawiki-config@master] Add copyright info for Wikidata API

https://gerrit.wikimedia.org/r/370611

Mentioned in SAL (#wikimedia-operations) [2017-08-08T14:07:31Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: SWAT: Add copyright info for Wikidata API (T112606) (duration: 00m 47s)

Now https://www.wikidata.org/w/api.php?action=query&meta=siteinfo&siprop=rightsinfo returns:

{
    "batchcomplete": "",
    "query": {
        "rightsinfo": {
            "url": "Wikidata:Copyright",
            "text": "All structured data from the main and property namespace is available under the Creative Commons CC0 License; text in the other namespaces is available under the Creative Commons Attribution-ShareAlike License; additional terms may apply."
        }
    }
}

I'm calling this done.

Ladsgroup closed this task as Resolved.Aug 8 2017, 2:09 PM
Ladsgroup moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
Ladsgroup removed a project: Patch-For-Review.